searchNodes=[{"doc":"Directions is a small Elixir library aimed at generating URLs that point to a Phoenix application. The primary use case is when there are different Phoenix web applications that need to display HTML links pointing to each other. Imagine for example two applications, A and B. If we wanted to display an HTML link in A that points to a route in B, without Directions we would need to hardcode that URL path, including any path params. Directions ensures that only valid URLs can be generated, which is done by configuring application A to read a file containing the output of running mix phx.routes in application B. Example In the target application, run mix phx.routes [RouterModule] &gt; /path/to/output.txt . Then configure your application to load that file: # Multiple different route files can be provided in the config below config :directions , route_sources : [ { :shop , &quot;http://shop.com&quot; , Path . expand ( &quot;../shared_routes/shop_routes.txt&quot; , __DIR__ ) } ] The above will read that file and keep it in the library's state. Now, whenever your application needs to generate a link pointing to the external Phoenix web app, use something like: # This will generate a URL like http://shop.com/products/123 &lt; % = link &quot;A Great Product!&quot; , to : Directions . url ( :shop , :product_path , :show , id : 123 )","ref":"Directions.html","title":"Directions","type":"module"},{"doc":"Generates a URL Arguments: group_name : The name of the routes group, as defined in the library configuration for each of the loaded routes files. route_name : The name of route, matching one of the routes listed within the route file action : The name of the action for the given route path_params : Keyword list with the path params to be interpolated in the generated URL. Examples Directions . url ( :shop , :product_path , :new ) # =&gt; &quot;http://shop.com/products/new&quot; Directions . url ( :shop , :product_path , :show , id : 123 ) # =&gt; &quot;http://shop.com/products/123&quot; Directions . url ( :shop , :product_path , :edit , id : 123 ) # =&gt; &quot;http:shop.com/products/123/edit&quot;","ref":"Directions.html#url/4","title":"Directions.url/4","type":"function"},{"doc":"","ref":"Directions.RoutesDB.html","title":"Directions.RoutesDB","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"Directions.RoutesDB.html#child_spec/1","title":"Directions.RoutesDB.child_spec/1","type":"function"},{"doc":"","ref":"Directions.RoutesDB.html#group/1","title":"Directions.RoutesDB.group/1","type":"function"},{"doc":"","ref":"Directions.RoutesDB.html#groups/0","title":"Directions.RoutesDB.groups/0","type":"function"},{"doc":"Callback implementation for GenServer.init/1 .","ref":"Directions.RoutesDB.html#init/1","title":"Directions.RoutesDB.init/1","type":"function"},{"doc":"","ref":"Directions.RoutesDB.html#start_link/1","title":"Directions.RoutesDB.start_link/1","type":"function"},{"doc":"","ref":"Directions.RoutesDB.html#store/3","title":"Directions.RoutesDB.store/3","type":"function"}]